### Hierarchy

- NowPlayingInfo

## Index

### Enumerations

- State

### Constructors

- constructor

### Properties

- album
- appBundleIdentifier
- appDisplayName
- artist
- duration
- elapsedTime
- message
- playbackState
- timestamp
- title

### Methods

- percentCompleted
- toString

## Constructors

### constructor

- new NowPlayingInfo(message: any): NowPlayingInfo

- - Defined in lib/now-playing-info.ts:10

  #### Parameters

  - ##### message: any

  #### Returns NowPlayingInfo

## Properties

### album

album: string

- Defined in lib/now-playing-info.ts:6

### appBundleIdentifier

appBundleIdentifier: string

- Defined in lib/now-playing-info.ts:8

### appDisplayName

appDisplayName: string

- Defined in lib/now-playing-info.ts:7

### artist

artist: string

- Defined in lib/now-playing-info.ts:5

### duration

duration: number

- Defined in lib/now-playing-info.ts:2

### elapsedTime

elapsedTime: number

- Defined in lib/now-playing-info.ts:3

### message

message: any

- Defined in lib/now-playing-info.ts:12

### playbackState

playbackState: State

- Defined in lib/now-playing-info.ts:9

### timestamp

timestamp: number

- Defined in lib/now-playing-info.ts:10

### title

title: string

- Defined in lib/now-playing-info.ts:4

## Methods

### percentCompleted

- percentCompleted(): number

- - Defined in lib/now-playing-info.ts:31

  #### Returns number

### toString

- toString(): string

- - Defined in lib/now-playing-info.ts:37

  #### Returns string

Generated using TypeDoc